#! /bin/bash
#
# sperren.sh
#
#
########################################################

bild="/etc/linuxmuster-client/maus/closed.xbm"

########################################################

ausgabe=$(screen -ls)

if [[ "$ausgabe" =~ "mausdaemon_slock" ]]; then
  echo "Abbruch: Lock - Befehl ist aktiv!"
  exit 1
else
  screen -d -m -S mausdaemon_slock
#  sleep 1
  screen -S mausdaemon_slock -X stuff $'export DISPLAY=:0\n'
  screen -S mausdaemon_slock -X stuff $'/usr/bin/X11/xtrlock -b\n'
#  screen -S mausdaemon_slock -X stuff $'/usr/bin/X11/slock\n'
fi


x_pid=`ps -ef | grep "X :1" | grep -v "grep" | awk '{print $2}'`
if [ "$x_pid" = "" ]; then
  x_pid=`ps -ef | grep "Xorg :1" | grep -v "grep" | awk '{print $2}'`
fi

if [ "$x_pid" != "" ]; then
  echo "Abbruch: X-Server auf display=:1 existiert schon"
  exit 1
fi

/usr/bin/X11/X :1 &
sleep 2
export DISPLAY=:1

if [ "$1" = "-u" ]; then
  /usr/bin/X11/xclock -geometry 200x200+20+20 -update 1 &
else
  /usr/bin/X11/xclock -geometry 1x1+0+0 -update 1 &
fi

sleep 1
/usr/bin/xsetroot -bitmap "$bild"

echo "Script: sperren.sh ausgeführt"

exit 0

